---
title: "hugo list"
slug: hugo_list
url: /commands/hugo_list/
---
## hugo list

List content

### Synopsis

List content.

List requires a subcommand, e.g. hugo list drafts

### Options

```
  -h, --help   help for list
```

### Options inherited from parent commands

```
      --clock string               set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00
      --config string              config file (default is hugo.yaml|json|toml)
      --configDir string           config dir (default "config")
  -d, --destination string         filesystem path to write files to
  -e, --environment string         build environment
      --ignoreVendorPaths string   ignores any _vendor for module paths matching the given Glob pattern
      --logLevel string            log level (debug|info|warn|error)
      --noBuildLock                don't create .hugo_build.lock file
      --quiet                      build in quiet mode
  -M, --renderToMemory             render to memory (mostly useful when running the server)
  -s, --source string              filesystem path to read files relative from
      --themesDir string           filesystem path to themes directory
```

### SEE ALSO

* [hugo](/commands/hugo/)	 - Build your site
* [hugo list all](/commands/hugo_list_all/)	 - List all content
* [hugo list drafts](/commands/hugo_list_drafts/)	 - List draft content
* [hugo list expired](/commands/hugo_list_expired/)	 - List expired content
* [hugo list future](/commands/hugo_list_future/)	 - List future content
* [hugo list published](/commands/hugo_list_published/)	 - List published content

